=== debian/control ===
Source: ros-rolling-heaphook
Section: misc
Priority: optional
Maintainer: sykwer <sykwer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-tlsf, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-heaphook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-tlsf, ros-rolling-ros-workspace
Description: Replace all the dynamic heap allocation functions by LD_PRELOAD
